# Interface ResourceProcessors<C>

#### Type Parameters

- #### C extends Meta.Collections

#### Hierarchy

- ResourceProcessors

- Defined in packages/db/src/meta/process/resources.ts:22

#####
Index

### Properties

all
find
get
load

## Properties

### all

all: (<N>(collectionName, document) => Generator<GraphQlRequest | Web3Request, CollectionProperty<"resource", C, N>[], any>)

#### Type declaration

- - <N>(collectionName, document): Generator<GraphQlRequest | Web3Request, CollectionProperty<"resource", C, N>[], any>

  - #### Type Parameters

    - #### N extends string

    #### Parameters

    - ##### collectionName: N

    - ##### document: DocumentNode

    #### Returns Generator<GraphQlRequest | Web3Request, CollectionProperty<"resource", C, N>[], any>

- Defined in packages/db/src/meta/process/resources.ts:40

### find

find: (<N>(collectionName, ids, document) => Generator<GraphQlRequest | Web3Request, (undefined | CollectionProperty<"resource", C, N>)[], any>)

#### Type declaration

- - <N>(collectionName, ids, document): Generator<GraphQlRequest | Web3Request, (undefined | CollectionProperty<"resource", C, N>)[], any>

  - #### Type Parameters

    - #### N extends string

    #### Parameters

    - ##### collectionName: N

    - ##### ids: (undefined | string)[]

    - ##### document: DocumentNode

    #### Returns Generator<GraphQlRequest | Web3Request, (undefined | CollectionProperty<"resource", C, N>)[], any>

- Defined in packages/db/src/meta/process/resources.ts:34

### get

get: (<N>(collectionName, id, document) => Generator<GraphQlRequest | Web3Request, undefined | CollectionProperty<"resource", C, N>, any>)

#### Type declaration

- - <N>(collectionName, id, document): Generator<GraphQlRequest | Web3Request, undefined | CollectionProperty<"resource", C, N>, any>

  - #### Type Parameters

    - #### N extends string

    #### Parameters

    - ##### collectionName: N

    - ##### id: string

    - ##### document: DocumentNode

    #### Returns Generator<GraphQlRequest | Web3Request, undefined | CollectionProperty<"resource", C, N>, any>

- Defined in packages/db/src/meta/process/resources.ts:28

### load

load: (<N>(collectionName, inputs) => Generator<GraphQlRequest | Web3Request, (undefined | Meta.IdObject<C, N, CollectionProperty<"resource", C, N> | Meta.SavedInput<C, N>>)[], any>)

#### Type declaration

- - <N>(collectionName, inputs): Generator<GraphQlRequest | Web3Request, (undefined | Meta.IdObject<C, N, CollectionProperty<"resource", C, N> | Meta.SavedInput<C, N>>)[], any>

  - #### Type Parameters

    - #### N extends string

    #### Parameters

    - ##### collectionName: N

    - ##### inputs: (undefined | Meta.Input<C, N>)[]

    #### Returns Generator<GraphQlRequest | Web3Request, (undefined | Meta.IdObject<C, N, CollectionProperty<"resource", C, N> | Meta.SavedInput<C, N>>)[], any>

- Defined in packages/db/src/meta/process/resources.ts:23

Generated using TypeDoc